import { Functional } from '../../../../Class/Functional';
import { Done } from '../../../../Class/Functional/Done';
import { System } from '../../../../system';
export declare type I = {
    a: any;
};
export declare type O = {
    type: string;
};
export default class TypeOf extends Functional<I, O> {
    constructor(system: System);
    f({ a }: I, done: Done<O>): void;
}
